Support for noinline magic function.
ClosedPublic

Authored by ezyang on May 12 2016, 9:43 PM.

Details

Summary

Signed-off-by: Edward Z. Yang <ezyang@cs.stanford.edu>

Test Plan

validate

Diff Detail

Repository
rGHC Glasgow Haskell Compiler
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
ezyang retitled this revision from to Support for noinline magic function..May 12 2016, 9:43 PM
ezyang edited the test plan for this revision. (Show Details)
ezyang added a reviewer: simonpj.
ezyang updated this object.
austin accepted this revision.May 13 2016, 1:35 PM

Should this have a release note? I'll let you decide.

This revision is now accepted and ready to land.May 13 2016, 1:35 PM

Sure, why not. I'll add one.

bgamari requested changes to this revision.May 17 2016, 12:04 PM

Requesting changes while a release note is added.

This revision now requires changes to proceed.May 17 2016, 12:04 PM
ezyang updated this revision to Diff 7674.May 20 2016, 7:24 PM

release note and wire it in

bgamari requested changes to this revision.May 24 2016, 3:59 AM

I hate to bike-shed, but wouldn't noInline be a more appropriate name?

Otherwise looks reasonable to me although one minor point inline.

compiler/basicTypes/MkId.hs
1059

Why not align these?

This revision now requires changes to proceed.May 24 2016, 3:59 AM
This revision was automatically updated to reflect the committed changes.

For future reference: this feature was added to fix Trac #10083 (I think).

Yep that's right.